##
##  redis.conf -- Redis stand-alone server configuration
##

#   daemon process
daemonize yes
pidfile @l_prefix@/var/redis/run/redis.pid
logfile @l_prefix@/var/redis/log/redis.log
loglevel notice

#   network connection
bind 127.0.0.1
port 6379
timeout 300
maxclients 128
requirepass local-secret

#   database pool
databases 16
maxmemory 100mb

#   redis-snapshot persistence
save 900 1
save 300 10
save 60 10000
dir @l_prefix@/var/redis/db/
dbfilename redis.rdb
rdbcompression yes

#   append-only-file persistence
appendonly no
appendfsync everysec
appendfilename redis.aof

